Subject: Re: [PATCH] doc: add caveat about turning off commit-graph

From: Derrick Stolee <[email-masked]>
Date: Wed, 6 May 2026 09:59:53 -0400

On 5/5/2026 4:45 PM, [email-masked] wrote:
> From: Kristoffer Haugsbakk <[email-masked]>
> 
> The doc `technical/commit-graph.adoc` says that replace objects and
> commit grafts turn off commit-graph:
> 
>     Commit grafts and replace objects can change the shape of the commit
>     history. The latter can also be enabled/disabled on the fly using
>     `--no-replace-objects`. This leads to difficulty storing both possible
>     interpretations of a commit id, especially when computing generation
>     numbers. The commit-graph will not be read or written when
>     replace-objects or grafts are present.
> 
> But this isn’t mentioned in the user-facing doc. Let’s mention it on
> git-replace(1) and git-commit-graph(1).

I like your initiative to present this incompatibility in the
user-facing docs.

> +CAVEATS
> +-------
> +
> +The existence of replace objects or commit grafts turns off reading or
> +writing to the commit-graph. See linkgit:git-replace[1].
> +
This does seem a little weak. It doesn't really say how this will
impact the user. Perhaps we could add something about how performance
will likely degrade in this mode?

  The existence of replace objects or commit grafts turns off reading or
  writing to the commit-graph, which can cause performance issues. See
  linkgit:git-replace[1].

Thanks,
-Stolee